FaultOutInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class FaultOutInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.FaultOutInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class FaultOutInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `FaultOutInterceptor.FaultInfoException` | Marker interfaces for Exceptions that have a getFaultInfo() method that returns some sort of object that the FaultOutInterceptor can marshal into a fault detail element

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FaultOutInterceptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `getFaultBean​(Throwable cause, FaultInfo faultPart, Message message)` |
    `FaultInfo` | `getFaultForClass​(BindingOperationInfo op, Class<?> class1)` | Find the correct Fault part for a particular exception.
    `void` | `handleMessage​(Message message)` | Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultOutInterceptor

          public FaultOutInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### getFaultBean

          protected Object getFaultBean​(Throwable cause,
                                        FaultInfo faultPart,
                                        Message message)

    - #### getFaultForClass

          public FaultInfo getFaultForClass​(BindingOperationInfo op,
                                            Class<?> class1)

      Find the correct Fault part for a particular exception.
      Parameters:
        `op` -
        `class1` -